# Errors

Pliro's API uses standard HTTP status codes to indicate the success or failure of a request. Codes in the `200-299` range indicate success, codes in the `400-499` range indicate a client error (e.g., omitting a required parameter or not providing a valid API token), and codes in the `500-599` range indicate an error with Pliro's servers (these should be rare).

All error responses include an `error` object:

```shell-session
$ curl -G $PLIRO_API_BASE_URL/2023-04-11/customers \
  -u $PLIRO_API_KEY: \
  -d limit=0
{
  "error": {
    "code": "invalid_param",
    "message": "limit must be greater than or equal to 1 but was 0."
  }
}
```

## The error object

```json
{
  "code": "invalid_param",
  "message": "limit must be greater than or equal to 1 but was 0."
}
```

### Properties

`code` **string**\
A short string identifying the error. See [error codes](/api/errors/error-codes.md) for a full list of possible codes.

`message` **string**\
A message providing more details about the error.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pliro.co/api/errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
